/**
 * Copyright (C) 2007-2011 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 308 $
 * $Date: 2011-10-11 21:56:35 +0800 (Tue, 11 Oct 2011) $
 */
#ifndef INDII_GUI_TINTREGISTRATION_HPP
#define INDII_GUI_TINTREGISTRATION_HPP

#include "../reg/Components.hpp"

#include "wx/dialog.h"
#include "wx/textctrl.h"

namespace indii {
/**
 * Photoshop registration dialog.
 */
class TintRegistration : public wxDialog {
public:
  /**
   * Constructor.
   *
   * @param parent Parent.
   */
  TintRegistration(wxWindow* parent, const indii::Components::Component c);

  /**
   * Destructor.
   */
  ~TintRegistration();

  /**
   * URL button event.
   */
  void OnButtonUrl(wxCommandEvent& evt);

  /**
   * OK button event.
   */
  void OnButtonOk(wxCommandEvent& evt);

  /**
   * Cancel button event.
   */
  void OnButtonCancel(wxCommandEvent& evt);

  /**
   * Close.
   */
  void OnClose(wxCloseEvent& evt);

private:
  /**
   * Key textbox.
   */
  wxTextCtrl* txtKey;

  /**
   * Component context.
   */
  indii::Components::Component c;

  /*
   * Control ids.
   */
  enum ID {
    ID_BUT_URL = 987
  };

  DECLARE_EVENT_TABLE()

};
}

#endif
