/**
 * Copyright (C) 2007-2011 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 308 $
 * $Date: 2011-10-11 21:56:35 +0800 (Tue, 11 Oct 2011) $
 */
#include "FileImageResource.hpp"

using namespace indii;

FileImageResource::FileImageResource(const wxString& path) {
  /* original image */
  original = new wxImage(path);
  
  /* caches */
  lowCache = new ImageCache(original, false);
  highCache = new ImageCache(original, true);
}

FileImageResource::~FileImageResource() {
  delete lowCache;
  delete highCache;  
  delete original;
}

