/**
 * Copyright (C) 2007-2011 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 308 $
 * $Date: 2011-10-11 21:56:35 +0800 (Tue, 11 Oct 2011) $
 */
#include "PreviewPane.hpp"

#include "../../gui/Help.hpp"

#include "wx/wx.h"
#include "wx/sizer.h"

using namespace indii;

PreviewPane::PreviewPane(wxWindow* parent, ImageResource* res, 
    ClusterModel* model) : wxPanel(parent, wxID_ANY, wxDefaultPosition,
    wxDefaultSize,
    wxTAB_TRAVERSAL|wxNO_FULL_REPAINT_ON_RESIZE|wxCLIP_CHILDREN) {
  SetBackgroundColour(wxColour(69,69,69));
  
  preview = new PreviewImage(this, res, model);

  wxBoxSizer* sizer = new wxBoxSizer(wxVERTICAL);
  sizer->Add(preview, 1, wxALIGN_CENTER|wxEXPAND);
  SetSizer(sizer);
}

void PreviewPane::OnHelp(wxHelpEvent& evt) {
  Help::show(510);
}

BEGIN_EVENT_TABLE(PreviewPane, wxPanel)
EVT_HELP(wxID_ANY, PreviewPane::OnHelp)
END_EVENT_TABLE()
