/**
 * Copyright (C) 2007-2011 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 225 $
 * $Date: 2010-08-29 14:34:42 +0800 (Sun, 29 Aug 2010) $
 */
#ifndef INDII_TINT_GUI_WINDOWMENU_HPP
#define INDII_TINT_GUI_WINDOWMENU_HPP

#include "wx/wx.h"

namespace indii {
  class TintWindow;

/**
 * Window menu.
 */
class WindowMenu : public wxMenu {
public:
  /**
   * Constructor.
   *
   * @param window Window with which menu is associated.
   */
  WindowMenu(TintWindow* window);

  /**
   * Menu shown. Rebuilds menu on-the-fly.
   */
  void OnShow(wxMenuEvent& evt);

  /*
   * Menu events. 
   */
  void OnPreProcessPane(wxCommandEvent& evt);
  void OnPostProcessPane(wxCommandEvent& evt);
  void OnMixerPane(wxCommandEvent& evt);
  void OnThumbsPane(wxCommandEvent& evt);
  void OnRestoreDefaults(wxCommandEvent& evt);
  
private:
  /**
   * Window with which menu is associated.
   */
  TintWindow* window;

  /*
   * Control ids.
   */
  enum ID {
    ID_PREPROCESSING = 1432,
    ID_POSTPROCESSING,
    ID_MIXER,
    ID_THUMBS,
    ID_DEFAULTS,
  };

  DECLARE_EVENT_TABLE()
};
}

#endif
